--- old/usr/src/uts/common/fs/portfs/port_fop.c	2014-07-28 07:43:44.769505884 -0400
+++ new/usr/src/uts/common/fs/portfs/port_fop.c	2014-07-28 07:43:44.775002058 -0400
@@ -293,7 +293,7 @@
 	    (fem_t **)&femp)) {
 		return (NULL);
 	}
-	if (casptr(&fop_femop, NULL, femp) != NULL) {
+	if (atomic_cas_ptr(&fop_femop, NULL, femp) != NULL) {
 		/*
 		 * some other thread beat us to it.
 		 */
@@ -311,7 +311,7 @@
 	if (fsem_create("portfop_fsem", port_vfssrc_template, &fsemp)) {
 		return (NULL);
 	}
-	if (casptr(&fop_fsemop, NULL, fsemp) != NULL) {
+	if (atomic_cas_ptr(&fop_fsemop, NULL, fsemp) != NULL) {
 		/*
 		 * some other thread beat us to it.
 		 */
@@ -1087,7 +1087,7 @@
 	/*
 	 * If v_fopdata is not null, some other thread beat us to it.
 	 */
-	if (casptr(&vp->v_fopdata, NULL, npvp) != NULL) {
+	if (atomic_cas_ptr(&vp->v_fopdata, NULL, npvp) != NULL) {
 		mutex_destroy(&npvp->pvp_mutex);
 		list_destroy(&npvp->pvp_pfoplist);
 		kmem_free(npvp, sizeof (*npvp));
